program variable
!this program demonstrates the use of parameters
!written by JWP 29/10/98

implicit none

real :: x ! This defines variable called x 
real, parameter :: fixed_y = 4.86 
!
x = 23.6*log(1.0+fixed_y)/(3.0+fixed_y) ! calculate x which involves y
!
print *, 'The value of x is ', x 
print *, 'The fixed value of y is ', fixed_y 
! .. and then print them both out
end program variable
 
